<div id="medias" class="com-content">
	<?php if ( v('peutPoster') ){ ?>
	<a href="#" id="btn-ajouter-medias" title="ajouter un media" class="awesome green right" >Ajouter des médias</a>
	<?php } ?>
	<h2>M&eacute;dias du match</h2>
	<script type="text/javascript" src="<?php echo WWW_ROOT; ?>webroot/js/uploadify/swfobject.js" />
	<script type="text/javascript" src="<?php echo WWW_ROOT; ?>webroot/js/uploadify/jquery.uploadify.v2.1.4.min.js" />
	<script type="text/javascript">

    <?php if ( v('peutPoster') ){ ?>
		  $("#btn-ajouter-medias").uploadify({
				'uploader': '<?php echo WWW_ROOT; ?>webroot/js/uploadify/uploadify.swf',
				'buttonImg': '<?php echo WWW_ROOT; ?>webroot/images/upload-medias.png',
				'cancelImg': '<?php echo WWW_ROOT; ?>webroot/js/uploadify/cancel.png',
				'script': '<?php echo WWW_ROOT; ?>tabfichiers/ajouter/<?php echo v('MAT_CLE'); ?>',
				'scriptData':{'FP':'<?php echo v('fp'); ?>','DF':'<?php echo v('df'); ?>', 'PI':'<?php echo v('pi'); ?>'},
				'folder': '<?php echo WWW_ROOT; ?>app/config/cache/upload/medias/',
				'fileDesc': 'Archives',
				'fileExt': '*.zip;*.rar;*.7z',
				'multi': true,
				'auto': true,
				'buttonText'  : 'Ajouter des medias',
				'width': 130,
				'sizeLimit': '<?php echo POIDS_FICHIER; ?>',
				'onAllComplete' : function(event,data) {
					if ( data.errors == 0 ){
						$.get('<?php echo php_self(); ?>',
							function(data) {
						  		$("#medias").parent().html(data);
							});
					} else {
						alert("Une erreur est survenue");
						return false;
					}
		  		}
			});
		  <?php 
		  }
		  if ( v('isAdmin') ){ 
		  ?>
			$(".supprimer-media").click(function(){
				if ( confirm("Souhaitez vous réellement supprimer ce média ?") == false ){
					return false;
				}
				var elt = $(this).parent().parent();
				$.ajax({
					  url: $(this).attr("href"),
					  success: function(data) {
						elt.hide();
					  },
					  error:function (xhr, ajaxOptions, thrownError){
		                    alert(xhr.status);
		                    alert(thrownError);
		                } 
					});
				return false;
			});
		  <?php } ?>
	</script>
<?php 
$Fichiers = v('Fichiers');
//echo var_dump($Fichiers);
if ( sizeof((array)$Fichiers) == 0 ){ ?>
<p>Aucun fichier</p>
<?php } else { ?>
<table id="liste-medias" class="table table-striped">
	<thead>
    <tr>
		<th>Date</th>
		<th>Fichier</th>
		<th>Poids</th>
		<th>par</th>
		<th>vus</th>
		<?php if ( v('isAdmin') ) { ?><th>sup</th><?php } ?>
	</tr>
    </thead>
<?php 
	$i = 0;
	foreach((array)$Fichiers as $Fichier){
		?>
		<tr class="<?php echo ++$i%2==0?'pair':'impair'; ?>" id="media-<?php echo $Fichier->get_FIC_CLE(); ?>">
			<td><?php echo date_fr($Fichier->get_FIC_AJOUT()); ?></td>
			<td align="left"><?php echo href($Fichier->get_FIC_NOM(),array('controleur'=>'tabfichiers','action'=>'dl','params'=>$Fichier->get_FIC_KEY()),0,0,0,0); ?></td>
			<td><?php echo $Fichier->get_FIC_PDS_COMPLET(); ?></td>
			<td><?php echo $Fichier->get_FIC_AUTEUR(); ?></td>
			<td><?php echo $Fichier->get_FIC_VUS(); ?></td>
			<?php if ( v('isAdmin') ) { ?><td><?php echo href(img('icons/cross.png','supprimer'),array('controleur'=>'tabfichiers','action'=>'supprimer','params'=>$Fichier->get_FIC_KEY(),'class'=>'supprimer-media')); ?></td><?php } ?>
		</tr>
		<?php 
	}
	?>
</table><?php 
} ?>
</div>